> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Put documenttypev1libraries documenttypes

> Updates a document class configuration (reset not specified fields).



## OpenAPI

````yaml /openapis/documentType.json put /documentType/v1/libraries/{libId}/documentTypes/{documentTypeId}
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: documentType
    description: >-
      Lets you manipulate existing document classes (beta version, subject to
      change)
paths:
  /documentType/v1/libraries/{libId}/documentTypes/{documentTypeId}:
    put:
      tags:
        - documentType
      description: Updates a document class configuration (reset not specified fields).
      operationId: documentType:v1beta1.DocumentType.updateClass
      parameters:
        - $ref: '#/components/parameters/libId_path_parameter'
        - $ref: '#/components/parameters/documentTypeId_path_parameter'
        - $ref: '#/components/parameters/resetInvalidTemplateValues_query_parameter'
        - $ref: '#/components/parameters/securityCode_query_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
      requestBody:
        $ref: '#/components/requestBodies/ApiDocumentType'
      responses:
        '200':
          description: A ApiDocumentType response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiDocumentType'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    libId_path_parameter:
      name: libId
      in: path
      description: The ID of the library
      required: true
      schema:
        type: string
    documentTypeId_path_parameter:
      name: documentTypeId
      in: path
      description: The ID of the document class
      required: true
      schema:
        type: string
    resetInvalidTemplateValues_query_parameter:
      name: resetInvalidTemplateValues
      in: query
      description: >-
        Whether to reset the values of invalid properties in document templates
        of the class
      required: false
      schema:
        type: boolean
        default: false
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
  requestBodies:
    ApiDocumentType:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiDocumentType'
      required: true
  schemas:
    ApiDocumentType:
      type: object
      properties:
        annotationEditors:
          type: array
          description: >-
            Users, groups, roles or Everybody allowed to edit annotations on
            documents of this class. Used when aclSource is CLASS or CATEGORY. A
            user in editors but not in viewers may only view and edit
            annotations they authored.
          items:
            $ref: '#/components/schemas/ApiSecurityToken'
        annotationRestrictedViewers:
          type: array
          description: >-
            (Deprecated, no longer enforced) Users, groups, roles or Everybody
            previously denied annotation access on documents of this class. Use
            annotationViewers and annotationEditors instead.
          items:
            $ref: '#/components/schemas/ApiSecurityToken'
        annotationViewers:
          type: array
          description: >-
            Users, groups, roles or Everybody allowed to view annotations on
            documents of this class. Used when aclSource is CLASS or CATEGORY.
          items:
            $ref: '#/components/schemas/ApiSecurityToken'
        appMetadata:
          type: object
          description: >-
            App Metadata let developers associate metadata with various
            configuration entities. The metadata is isolated within app
            namespaces in order to prevent one application from interfering with
            another's metadata.
          additionalProperties:
            $ref: '#/components/schemas/ApiNamespacedAppMetadata'
        attachmentCreationModes:
          type: object
          description: >-
            The list of supported attachment create modes with there setting (at
            least one mode should be enabled)
          additionalProperties:
            $ref: '#/components/schemas/ApiAttachmentCreationModeSetting'
        checkoutMode:
          type: string
          description: >-
            The mode for check-out use (DISABLED: no check-out possible,
            OPTIONAL: check-out can be used, MANDATORY: check-out must be used)
          enum:
            - DISABLED
            - OPTIONAL
            - MANDATORY
        coordinate:
          type: string
          description: >-
            The coordinate of the document class based on the sequence ID
            (read-only field)
        creators:
          type: array
          description: >-
            The list of users/groups/roles who can create documents of this
            class (administrators implicitly can and readers implicitly can't)
          items:
            $ref: '#/components/schemas/ApiPermissionV2'
        customActions:
          type: array
          description: >-
            This list of custom actions to be triggered on documents of this
            class (both viewer and update actions)
          items:
            $ref: '#/components/schemas/ApiCustomAction'
        defaultClass:
          type: boolean
          description: >-
            Whether this class is the default document class of the library
            (read-only field)
        defaultTemplateId:
          type: string
          description: The ID of the default document template of the document class
        deleteFields:
          type: array
          description: >-
            The list of field IDs to delete from the document class (use only
            during patch)
          items:
            type: string
        description:
          type: string
          description: The description of the document class
        displayName:
          type: string
          description: The name of the document class
        displayName_i18n:
          type: string
          description: The internationalized name of the document class (read-only field)
        documentCopyDisabled:
          type: boolean
          description: Whether document copying is allowed or not
        duplicateDetection:
          $ref: '#/components/schemas/ApiDuplicateDetection'
        elementsToCopy:
          type: object
          description: >-
            User settings determining which attributes to copy when using
            'Create From' mode to create a new document.
          additionalProperties:
            $ref: '#/components/schemas/ApiDocumentCopySectionConfig'
        explicitPermissionMode:
          type: string
          description: >-
            The mode for permissions override: EXPLICIT_PERMISSIONS_ALLOWED or
            EXPLICIT_PERMISSIONS_DISABLED
          enum:
            - EXPLICIT_PERMISSIONS_ALLOWED
            - EXPLICIT_PERMISSIONS_DISABLED
        fields:
          type: array
          description: The list of fields (metadata) configured in the document class
          items:
            $ref: '#/components/schemas/ApiClassField'
        firstVersionName:
          type: string
          description: The name of the first version if firstVersionNumberingMode = FIXED
        firstVersionNumberingMode:
          type: string
          description: >-
            Whether the first version's name should be overridden (FIXED) or
            implicit (AUTOMATIC)
          enum:
            - AUTOMATIC
            - FIXED
        forceNumberVersions:
          type: boolean
          description: Whether the version names must be numerical values
        id:
          type: string
          description: The ID of the document class (read-only field)
        kind:
          type: string
        libraryId:
          type: string
          description: >-
            The ID of the library in which the document class is (read-only
            field)
        managedPermissionSource:
          type: string
          description: 'The inheritance mode for permissions: CLASS, WORKFLOW, FOLDER'
          enum:
            - CLASS
            - WORKFLOW
            - FOLDER
        manualVersioningDisabled:
          type: boolean
          description: >-
            Whether the manual versioning should be disabled for documents of
            this class
        name:
          type: string
          description: >-
            The display name of the document class (backward compatibility for
            documentType.documentType.listClasses)
        name_i18n:
          type: string
          description: >-
            The localized display name of the document class (backward
            compatibility for documentType.documentType.listClasses)
        onlyAdminsCanDelete:
          type: boolean
          description: >-
            Whether only library administrators can delete documents of the
            class
        onlyAdminsCanShare:
          type: boolean
          description: Whether only library administrators can share documents of the class
        permissions:
          type: array
          description: >-
            The list of users/groups/roles who can access the documents of this
            class (if managedPermissionSource = CLASS) and their access level
          items:
            $ref: '#/components/schemas/ApiPermissionV2'
        previousVersionsVisibility:
          $ref: '#/components/schemas/ApiSecurityToken'
        readOnlyTitle:
          type: boolean
          description: >-
            DEPRECATED. Use systemFields['_title'].readOnly instead. Whether the
            title field should be read-only for whole life-cycle of documents of
            this class (except creation)
        restrictedDownload:
          type: boolean
          description: >-
            Whether the documents of this class should be restricted for
            download by readers
        sections:
          type: array
          description: The sections of fields for organization
          items:
            $ref: '#/components/schemas/ApiFieldSection'
        sectionsDefaultColumnCount:
          type: integer
          format: int32
          description: >-
            Default column count to apply to sections without a specific
            columnCount. Defaults to 2
        sequenceId:
          type: integer
          format: int64
          description: The ID of sequence of the document class (read-only field)
        systemFields:
          type: object
          description: >-
            The list of system fields in the document class (contains only
            '_title' for now)
          additionalProperties:
            $ref: '#/components/schemas/ApiClassSystemField'
        templates:
          type: array
          description: >-
            The document templates of this class (read-only, returned only if
            TEMPLATES is specified within the include request param)
          items:
            $ref: '#/components/schemas/ApiTemplateDocument'
        usersCanAccessPreviousVersions:
          type: boolean
          description: >-
            Whether users can access the previous versions of the documents of
            this class
        value:
          type: string
          description: >-
            The ID of the document class (backward compatibility for
            documentType.documentType.listClasses)
        workflowId:
          type: string
          description: >-
            The ID of the workflow in which the document class is (read-only
            field)
    ApiSecurityToken:
      type: object
      properties:
        classId:
          type: string
          description: The ID of the class when type = FIELD
        className:
          type: string
          description: The name of the class when type = FIELD
        description:
          type: string
          description: The description for type in GROUP, ROLE, FIELD
        displayName:
          type: string
          description: >-
            The display name of the user or group, the name of the role
            (read-only field)
        displayName_i18n:
          type: string
          description: >-
            The display name of the user or group, the internationalized name of
            the role (read-only field)
        thumbnailPictureUrl:
          type: string
          description: The URL of the thumbnail picture (especially for users)
        type:
          type: string
          description: >-
            The type of person (user, group, role, field based, domain i.e.
            everybody)
          enum:
            - USER
            - GROUP
            - ROLE
            - FIELD
            - DOMAIN
        value:
          type: string
          description: >-
            The email address if user or group, the ID of the role, the ID of
            the class/field (ignored if type = DOMAIN)
    ApiNamespacedAppMetadata:
      type: object
      properties:
        appNamespaceId:
          type: string
          description: The id of the app namespace (read-only)
        kind:
          type: string
        tags:
          type: array
          description: The list of tags (name/value) in the namespace (limited to 10 items)
          items:
            $ref: '#/components/schemas/ApiAppMetadataTag'
    ApiAttachmentCreationModeSetting:
      type: object
      properties:
        enabled:
          type: boolean
          description: >-
            Whether this attachment creation mode should be possible for this
            document class
        mustBeEnabled:
          type: boolean
          description: >-
            Whether this attachment creation mode must be enabled or can be
            disabled according to library type and settings (read-only)
    ApiPermissionV2:
      type: object
      properties:
        displayName:
          type: string
          description: The displayed name if type = USER, GROUP or ROLE
        kind:
          type: string
        role:
          type: string
          description: >-
            The level of the permission (READER, COMMENTER, WRITER,
            PROPERTY_EDITOR or ATTACHMENT_EDITOR)
          enum:
            - READER
            - COMMENTER
            - ATTACHMENT_EDITOR
            - PROPERTY_EDITOR
            - WRITER
        thumbnailPictureUrl:
          type: string
          description: The URL of the thumbnail picture (for users)
        type:
          type: string
          description: The type of permitted audience (ANYONE, DOMAIN, GROUP, USER or ROLE)
          enum:
            - ANYONE
            - DOMAIN
            - GROUP
            - USER
            - ROLE
        value:
          type: string
          description: >-
            The email address if type = USER or GROUP, the ID of the role if
            type = ROLE
        withLink:
          type: boolean
          description: Whether the audience will have access with the link
    ApiCustomAction:
      type: object
      properties:
        event:
          type: string
          description: >-
            The type of event (in workflow transitions:
            ON_STATE_ENTER_BEFORE_TRANSITION, ON_ENTER_STATE_AFTER_TRANSITION,
            ON_LEAVE_STATE_BEFORE_TRANSITION or ON_STATE_LEAVE_AFTER_TRANSITION,
            in relations: ON_RELATION_FILTER or ON_RELATION_RENDER, in classes:
            ON_DOCUMENT_UPDATE or ON_DOCUMENT_DISPLAY)
          enum:
            - ON_STATE_ENTER_BEFORE_TRANSITION
            - ON_STATE_ENTER_AFTER_TRANSITION
            - ON_STATE_LEAVE_BEFORE_TRANSITION
            - ON_STATE_LEAVE_AFTER_TRANSITION
            - ON_RELATION_FILTER
            - ON_RELATION_RENDER
            - ON_DOCUMENT_DISPLAY
            - ON_DOCUMENT_UPDATE
        id:
          type: string
          description: The id of the action (read-only)
        kind:
          type: string
        name:
          type: string
          description: The name of the action
        params:
          type: object
          description: The map key/value of the parameters
          additionalProperties:
            type: string
        scriptId:
          type: string
          description: The ID of the custom script
        scriptName:
          type: string
          description: The name of the custom script (read-only field)
    ApiDuplicateDetection:
      type: object
      properties:
        enabled:
          type: boolean
          description: Whether duplicate detection is enabled
        similarityThreshold:
          type: integer
          format: int32
          description: Similarity threshold used for duplicate detection (optional)
    ApiDocumentCopySectionConfig:
      type: object
      properties:
        restrictToIds:
          type: array
          items:
            $ref: '#/components/schemas/ApiIdName'
    ApiClassField:
      type: object
      properties:
        appMetadata:
          type: object
          description: >-
            App Metadata let developers associate metadata with various
            configuration entities. The metadata is isolated within app
            namespaces in order to prevent one application from interfering with
            another's metadata.
          additionalProperties:
            $ref: '#/components/schemas/ApiNamespacedAppMetadata'
        calculatedSettings:
          type: object
          description: The configuration of calculated settings (mandatory/hidden)
          additionalProperties:
            $ref: '#/components/schemas/ApiCalculatedSettingConfiguration'
        calculatedValue:
          $ref: '#/components/schemas/ApiCalculatedValueConfiguration'
        categoryDefinition:
          $ref: '#/components/schemas/ApiCategoryDefinition'
        categoryId:
          type: string
          description: >-
            The ID of the category (if type = CATEGORY) - (deprecated,
            read-only)
        categoryValueMapping:
          $ref: '#/components/schemas/ApiCategoryValueMappingRef'
        columns:
          type: array
          description: >-
            The column properties of the field (only if this field is a table
            type field)
          items:
            $ref: '#/components/schemas/ApiClassTableColumn'
        creationSettings:
          $ref: '#/components/schemas/ApiDocumentFieldFlags'
        customPlaceholder:
          type: boolean
          description: >-
            Whether to use a custom placeholder when displaying the field in the
            UI
        description:
          type: string
          description: The description of the field
        displayName:
          type: string
          description: The name of the field
        dynamicValues:
          type: boolean
        folder:
          type: boolean
        hidden:
          type: boolean
          description: >-
            Whether the field should be hidden for the whole life-cycle of
            documents of the class
        id:
          type: string
          description: The ID of the field (read-only field)
        kind:
          type: string
        levelNames:
          type: array
          items:
            type: string
        lookupConfiguration:
          $ref: '#/components/schemas/ApiLookupConfiguration'
        mandatory:
          type: boolean
          description: >-
            Whether the field should be mandatory for the whole life-cycle of
            documents of the class (not compatible for all field types)
        mappingSourceField:
          $ref: '#/components/schemas/ApiFieldRef'
        multiple:
          type: boolean
          description: >-
            Whether the field should be multi-valued (not compatible for all
            field types)
        placeholderText:
          type: string
          description: The placeholder text if customPlaceholder = true
        rank:
          type: integer
          format: int32
          description: The rank of the field in the list (deprecated)
        readOnly:
          type: boolean
          description: >-
            Whether the field should be read-only for the whole life-cycle of
            documents of the class (not compatible for all field types)
        referenceCatalog:
          $ref: '#/components/schemas/ApiReferenceCatalog'
        referenceCatalogId:
          type: string
          description: The ID of the reference catalog (if type = REFERENCE_CATALOG)
        type:
          type: string
          description: >-
            The type of field (STRING, TEXT, DATE, TIME, DATETIME, INTEGER,
            DECIMAL, BOOLEAN, PERSON, GEOPOINT, URL, CATEGORY,
            REFERENCE_CATALOG, TABLE)
          enum:
            - STRING
            - TEXT
            - DATE
            - TIME
            - DATETIME
            - INTEGER
            - FILESIZE
            - DECIMAL
            - BOOLEAN
            - PERSON
            - CATEGORY
            - GEOPOINT
            - URL
            - REFERENCE_CATALOG
            - MIMETYPEGROUP
            - CLASS
            - FOLDER
            - STATE
            - OSS_ATTACHMENT
            - DRIVE_ATTACHMENT
            - TABLE
        validation:
          $ref: '#/components/schemas/ApiFieldValidation'
    ApiFieldSection:
      type: object
      properties:
        columnCount:
          type: integer
          format: int32
          description: The number of columns to display fields for this section.
        description:
          type: string
          description: The description of the section
        fields:
          type: array
          description: The list of fields in the section
          items:
            $ref: '#/components/schemas/ApiFieldDefinition'
        id:
          type: string
          description: The ID of the section (read-only field)
        name:
          type: string
          description: The name of the section
        name_i18n:
          type: string
          description: The internationalized name of the section (read-only field)
    ApiClassSystemField:
      type: object
      properties:
        calculatedValue:
          $ref: '#/components/schemas/ApiCalculatedValueConfiguration'
        kind:
          type: string
        readOnly:
          type: boolean
          description: >-
            Whether the system field should be read-only for the whole
            life-cycle of documents of the class
        type:
          type: string
          description: The type of field
          enum:
            - STRING
            - TEXT
            - DATE
            - TIME
            - DATETIME
            - INTEGER
            - FILESIZE
            - DECIMAL
            - BOOLEAN
            - PERSON
            - CATEGORY
            - GEOPOINT
            - URL
            - REFERENCE_CATALOG
            - MIMETYPEGROUP
            - CLASS
            - FOLDER
            - STATE
            - OSS_ATTACHMENT
            - DRIVE_ATTACHMENT
            - TABLE
    ApiTemplateDocument:
      type: object
      properties:
        attachmentFields:
          type: array
          items:
            $ref: '#/components/schemas/ApiField'
        attachments:
          type: array
          description: >-
            The list of attachments to be copied in the document to be created
            using this template
          items:
            $ref: '#/components/schemas/ApiAttachment'
        categories:
          type: array
          description: >-
            The list of category fields which values (editable) will be used
            when creating a document using this template
          items:
            $ref: '#/components/schemas/ApiCategory'
        classId:
          type: string
          description: The ID of the class of the document (read-only field)
        className:
          type: string
          description: The name of the class of the document (read-only field)
        className_i18n:
          type: string
          description: >-
            The internationalized name of the class of the document (read-only
            field)
        creationDate:
          type: string
          description: The time at which the template was created (read-only field)
        defaultTemplate:
          type: boolean
          description: >-
            Whether the template is the default one for the class (read-only
            field)
        domainName:
          type: string
          description: The name of the domain (read-only field)
        editable:
          type: boolean
          description: Whether the current user can edit the template (read-only field)
        fields:
          type: array
          description: >-
            The list of native fields which values (editable) will be used when
            creating a document using this template
          items:
            $ref: '#/components/schemas/ApiField'
        folders:
          type: array
          description: >-
            The folder where the document will be created if no explicit folder
            is defined
          items:
            $ref: '#/components/schemas/ApiFolder'
        forbiddenOperations:
          type: object
          description: >-
            The map of the forbidden operations to the current user and the
            reasons why they are forbidden (read-only field)
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/ApiForbidReason'
        fullSizeOfAttachments:
          type: integer
          format: int64
          description: The summed size (in octet) of the attachments (read-only field)
        hiddenTemplate:
          type: boolean
          description: Whether the template should be hidden for document creation
        iconLink:
          type: string
          description: The link to the icon relative to the attachment (read-only field)
        id:
          type: string
          description: The ID of the document template (read-only field)
        initialAuthor:
          type: string
          description: The email of the user who created the template (read-only field)
        kind:
          type: string
        libraryId:
          type: string
          description: The ID of the library (read-only field)
        libraryName:
          type: string
          description: The name of the library (read-only field)
        modificationDate:
          type: string
          description: The time at which the template was last modified (read-only field)
        numberOfAttachments:
          type: integer
          format: int32
          description: The number of attachments in the template (read-only field)
        onlyAdminCanChangeAcl:
          type: boolean
          description: Read-only field, not used.
        onlyAdminCanDelete:
          type: boolean
          description: Read-only field, not used.
        permittedOperations:
          type: array
          description: >-
            The list of permitted operations to the current user (read-only
            field)
          items:
            type: string
            enum:
              - DELETE
              - RENAME
              - MODIFY_ACL
              - VIEW_ACL
              - MOVE_TO_ANOTHER_FOLDER
              - EXPORT
              - EDIT_PROPERTIES
              - COPY
              - CREATE_COPY_FROM
              - EXPORT_COPY
              - CREATE_NEW_VERSION
              - ATTACHMENT_VERSION_REPLACE
              - ATTACHMENT_VERSION_CREATE
              - ADD_NEW_ATTACHMENT_FROM_DRIVE
              - ATTACH_ENCRYPTED_FILE
              - OPEN_IN_OFFICE
              - PUBLISH
              - UNPUBLISH
              - RESTORE_REVISION
              - REVERT_TO_THIS_REVISION
              - CREATE_RELATED_DOCUMENT
              - DOWNLOAD
              - DOWNLOAD_ATTACHMENT
              - NOTIFY_USERS
              - CHECK_IN
              - CHECK_OUT
              - DISCARD_CHECKOUT
              - FORCE_DISCARD_CHECKOUT
              - EDIT_TAGS
              - PERFORM_HUMAN_WORKFLOW_ACTIONS
              - VIEW_DRAFT
              - SHARE_PUBLICLY
              - VIEW_HISTORY
              - VIEW_VERSIONS
              - ADD_COMMENT
              - SET_TEMPLATE_AS_DEFAULT
              - SET_TEMPLATE_VISIBILITY_SCOPE
              - DELETE_COMMENT
              - KNOW_DRAFT
              - FORCE_PARALLEL_TRANSITION
              - CHANGE_WORKFLOW_STATE_DIRECTLY
              - SEE_HIDDEN_FIELDS
              - VIEW_TRASHED_ITEM
              - UNTRASH
              - PERMANENTLY_DELETE
              - VIEW_DRIVEONLY_ACL
              - MODIFY_DRIVEONLY_ACL
              - NON_GOOGLE_USERS_SUPPORT
              - SUPPORTS_LIVE_EVALUATION
              - ALLOWLIST_NOT_ENFORCED
              - CREATE_SUBFOLDER
              - CREATE_DOCUMENT_IN_THIS_FOLDER
              - IMPORT_FOLDERS_FROM_DRIVE_TO_THIS_FOLDER
              - ADD_NEW_ATTACHMENT_FROM_OSS
              - OPEN_IN_DRIVE
              - COPY_FOLDER_TREE
              - CHECK_FOLDER
              - MOVE_TO_DRIVE
              - COPY_TO_DRIVE
              - MOVE_TO_ANOTHER_LIBRARY
              - MOVE_TO_ANOTHER_CLASS
              - COPY_TO_ANOTHER_CLASS
              - COPY_ATTACHMENT
              - COPY_TO_ANOTHER_LIBRARY
              - EDIT_ATTACHMENT
        referenceCatalogs:
          type: array
          description: >-
            The list of reference catalog fields which values (editable) will be
            used when creating a document using this template
          items:
            $ref: '#/components/schemas/ApiReferenceCatalogField'
        relatedDocuments:
          type: object
          description: >-
            The map of related documents per relation.Target documents attached
            as relations on every document created from this template.
          additionalProperties:
            $ref: '#/components/schemas/ApiRelationSides'
        requiresUserInput:
          type: boolean
          description: Whether this template requires user input (read-only field)
        restrictedDownload:
          type: boolean
        richText:
          type: string
          description: >-
            The description field (rich text) of the document to be created
            using this template
        sections:
          type: array
          description: The sections in which fields are organized (read-only field)
          items:
            $ref: '#/components/schemas/ApiFieldSection'
        setModifiedDate:
          type: boolean
          description: This field is not used.
        similarDocuments:
          type: array
          description: >-
            Represents a document identified as similar/duplicate with its
            associated metadata and similarity information
          items:
            $ref: '#/components/schemas/ApiSimilarDocument'
        systemFields:
          type: array
          description: The list of system fields (only the values are editable)
          items:
            $ref: '#/components/schemas/ApiSystemField'
        tableFields:
          type: array
          description: The list of table fields (only the values are editable)
          items:
            $ref: '#/components/schemas/ApiTableField'
        templateName:
          type: string
          description: The name of the document template
        templateName_i18n:
          type: string
          description: The internationalized name of the template (read-only field)
        title:
          type: string
          description: >-
            The title of the document to be created using this template
            (pointless in Team Folder and Secured Folder libraries)
        updateAuthor:
          type: string
          description: >-
            The email of the user who last modified the template (read-only
            field)
        userCanChangeAcl:
          type: boolean
          description: Read-only field, not used.
        userCanChangeProperties:
          type: boolean
          description: Read-only field, not used.
        userCanDelete:
          type: boolean
          description: Read-only field, not used.
        userMapping:
          type: object
          description: The mapping between user email and user profile (read-only field)
          additionalProperties:
            $ref: '#/components/schemas/ApiBaseUserProfile'
        viewConfiguration:
          $ref: '#/components/schemas/ApiDocumentViewConfiguration'
        visibilityToken:
          $ref: '#/components/schemas/ApiSecurityToken'
    ApiAppMetadataTag:
      type: object
      properties:
        kind:
          type: string
        name:
          type: string
          description: The name of the tag
        stringValue:
          type: string
          description: The value of the tag as a String
    ApiIdName:
      type: object
      properties:
        id:
          type: string
          description: The id
        name:
          type: string
          description: The name
    ApiCalculatedSettingConfiguration:
      type: object
      properties:
        code:
          type: string
          description: >-
            JavaScript expression in charge of generating the actual value of
            the setting (ECMAScript 2020)
        fallbackValues:
          type: array
          description: >-
            Fallback value(s) used when there was evaluation error on the
            calculated setting
          items:
            type: string
    ApiCalculatedValueConfiguration:
      type: object
      properties:
        code:
          type: string
          description: >-
            JavaScript expression in charge of generating document field values
            (ECMAScript 2020)
    ApiCategoryDefinition:
      type: object
      properties:
        description:
          type: string
          description: The description of the category
        dynamicValues:
          type: boolean
          description: Whether the category authorizes dynamic values
        folder:
          type: boolean
          description: Whether the category is the Folder category (read-only)
        id:
          type: string
          description: The ID of the category
        kind:
          type: string
        levelNames:
          type: array
          description: The name of the levels in the category
          items:
            type: string
        levelNames_i18n:
          type: array
          description: >-
            The internationalized name of the levels in the category (read-only
            field)
          items:
            type: string
        libraryId:
          type: string
          description: The ID of the library
        name:
          type: string
          description: The name of the category
        tags:
          type: boolean
          description: Whether the category is the Tags category (read-only)
        value:
          type: string
          description: >-
            The ID of the category (backward compatibility for
            category.category.listCategoryDefinitions)
    ApiCategoryValueMappingRef:
      type: object
      properties:
        displayName:
          type: string
          description: The display name of the mapping (read-only)
        id:
          type: string
          description: The ID of the category value mapping
    ApiClassTableColumn:
      type: object
      properties:
        appMetadata:
          type: object
          description: >-
            App Metadata let developers associate metadata with various
            configuration entities. The metadata is isolated within app
            namespaces in order to prevent one application from interfering with
            another's metadata.
          additionalProperties:
            $ref: '#/components/schemas/ApiNamespacedAppMetadata'
        calculatedSettings:
          type: object
          description: The configuration of calculated settings (mandatory/hidden)
          additionalProperties:
            $ref: '#/components/schemas/ApiCalculatedSettingConfiguration'
        calculatedValue:
          $ref: '#/components/schemas/ApiCalculatedValueConfiguration'
        categoryDefinition:
          $ref: '#/components/schemas/ApiCategoryDefinition'
        categoryId:
          type: string
          description: >-
            The ID of the category (if type = CATEGORY) - (deprecated,
            read-only)
        categoryValueMapping:
          $ref: '#/components/schemas/ApiCategoryValueMappingRef'
        columns:
          type: array
          description: >-
            The column properties of the field (only if this field is a table
            type field)
          items:
            $ref: '#/components/schemas/ApiClassTableColumn'
        creationSettings:
          $ref: '#/components/schemas/ApiDocumentFieldFlags'
        customPlaceholder:
          type: boolean
          description: >-
            Whether to use a custom placeholder when displaying the field in the
            UI
        description:
          type: string
          description: The description of the field
        displayName:
          type: string
          description: The name of the field
        dynamicValues:
          type: boolean
        folder:
          type: boolean
        hidden:
          type: boolean
          description: >-
            Whether the field should be hidden for the whole life-cycle of
            documents of the class
        id:
          type: string
          description: The ID of the field (read-only field)
        kind:
          type: string
        levelNames:
          type: array
          items:
            type: string
        lookupConfiguration:
          $ref: '#/components/schemas/ApiLookupConfiguration'
        mandatory:
          type: boolean
          description: >-
            Whether the field should be mandatory for the whole life-cycle of
            documents of the class (not compatible for all field types)
        mappingSourceField:
          $ref: '#/components/schemas/ApiFieldRef'
        multiple:
          type: boolean
          description: >-
            Whether the field should be multi-valued (not compatible for all
            field types)
        placeholderText:
          type: string
          description: The placeholder text if customPlaceholder = true
        rank:
          type: integer
          format: int32
          description: The rank of the field in the list (deprecated)
        readOnly:
          type: boolean
          description: >-
            Whether the field should be read-only for the whole life-cycle of
            documents of the class (not compatible for all field types)
        referenceCatalog:
          $ref: '#/components/schemas/ApiReferenceCatalog'
        referenceCatalogId:
          type: string
          description: The ID of the reference catalog (if type = REFERENCE_CATALOG)
        type:
          type: string
          description: >-
            The type of field (STRING, TEXT, DATE, TIME, DATETIME, INTEGER,
            DECIMAL, BOOLEAN, PERSON, GEOPOINT, URL, CATEGORY,
            REFERENCE_CATALOG, TABLE)
          enum:
            - STRING
            - TEXT
            - DATE
            - TIME
            - DATETIME
            - INTEGER
            - FILESIZE
            - DECIMAL
            - BOOLEAN
            - PERSON
            - CATEGORY
            - GEOPOINT
            - URL
            - REFERENCE_CATALOG
            - MIMETYPEGROUP
            - CLASS
            - FOLDER
            - STATE
            - OSS_ATTACHMENT
            - DRIVE_ATTACHMENT
            - TABLE
        validation:
          $ref: '#/components/schemas/ApiFieldValidation'
    ApiDocumentFieldFlags:
      type: object
      properties:
        hidden:
          type: boolean
          description: Whether the field should be hidden during document creation only
        mandatory:
          type: boolean
          description: >-
            Whether the field should be mandatory during document creation only
            (not compatible for all field types)
        readOnly:
          type: boolean
          description: >-
            Whether the field should be read-only during document creation only
            (not compatible for all field types)
    ApiLookupConfiguration:
      type: object
      properties:
        sourceConfiguration:
          $ref: '#/components/schemas/ApiLookupSourceConfiguration'
        targetConfiguration:
          $ref: '#/components/schemas/ApiLookupTargetConfiguration'
    ApiFieldRef:
      type: object
      properties:
        displayName:
          type: string
          description: The display name of the field (read-only)
        id:
          type: string
          description: The ID of the field
    ApiReferenceCatalog:
      type: object
      properties:
        createdAt:
          type: integer
          format: int64
          description: >-
            The timestamp (in ms) at which the catalog was created (read-only
            field)
        id:
          type: string
          description: The ID of the reference catalog (read-only field)
        kind:
          type: string
        levelNames:
          type: array
          description: Ordered name of levels of the reference catalog
          items:
            type: string
        modifiedAt:
          type: integer
          format: int64
          description: >-
            The timestamp (in ms) at which the catalog was last modified
            (read-only field)
        name:
          type: string
          description: The name of the reference catalog
        numberOfValues:
          type: integer
          format: int32
          description: The number of values in the reference catalog (read-only field)
    ApiFieldValidation:
      type: object
      properties:
        audience:
          $ref: '#/components/schemas/ApiSecurityToken'
        errorMessage:
          type: string
          description: The error message if the value inputted is not valid
        kind:
          type: string
        lowerLimit:
          type: number
          format: double
          description: The lower limit of the range for numerical fields
        lowerLimitInclusive:
          type: boolean
          description: Whether to include the lower limit value in the range
        mandatoryLeaf:
          type: boolean
          description: >-
            Whether the leaf selection is required for Category or Reference
            Catalog fields
        regex:
          type: string
          description: The regular expression for String fields
        upperLimit:
          type: number
          format: double
          description: The upper limit of the range for numerical fields
        upperLimitInclusive:
          type: boolean
          description: Whether to include the upper limit value in the range
    ApiFieldDefinition:
      type: object
      properties:
        id:
          type: string
          description: The ID of the field
        type:
          type: string
          description: The type of the field (read-only field)
    ApiField:
      type: object
      properties:
        calculatedSettingsInfo:
          type: object
          description: >-
            Information about the result of evaluation of calculated settings
            (read-only)
          additionalProperties:
            $ref: '#/components/schemas/ApiCalculatedSettingsInfo'
        calculatedValueInfo:
          $ref: '#/components/schemas/ApiFieldValuesInfo'
        description:
          type: string
          description: The description of the field (read-only)
        description_i18n:
          type: string
          description: The internationalized description of the field (read-only)
        editable:
          type: boolean
          description: Whether the field is editable by the current user
        fieldId:
          type: string
          description: The ID of the field
        fieldMetadata:
          type: object
          description: Additional metadata for AI extraction
          additionalProperties:
            type: string
        fieldName:
          type: string
          description: The name of the field
        fieldName_i18n:
          type: string
          description: The internationalized name of the field (read-only)
        hidden:
          type: boolean
          description: Whether the field is hidden to the user user
        kind:
          type: string
        lookupConfiguration:
          $ref: '#/components/schemas/ApiLookupConfiguration'
        lookupValueInfo:
          $ref: '#/components/schemas/ApiLookupValuesInfo'
        mandatory:
          type: boolean
          description: Whether the field is mandatory
        metadata:
          $ref: '#/components/schemas/ApiFieldMetadata'
        multiple:
          type: boolean
          description: Whether there can be multiple values
        placeholderText:
          type: string
          description: The help text to display in the field input (read-only)
        rank:
          type: integer
          format: int32
          description: >-
            The rank at which the field is displayed in the document page
            (read-only)
        readOnly:
          type: boolean
          description: Whether the field is currently read-only
        type:
          type: string
          description: The field type (STRING, DATE, ..., CATEGORY, REFERENCE_CATALOG)
          enum:
            - STRING
            - TEXT
            - DATE
            - TIME
            - DATETIME
            - INTEGER
            - FILESIZE
            - DECIMAL
            - BOOLEAN
            - PERSON
            - CATEGORY
            - GEOPOINT
            - URL
            - REFERENCE_CATALOG
            - MIMETYPEGROUP
            - CLASS
            - FOLDER
            - STATE
            - OSS_ATTACHMENT
            - DRIVE_ATTACHMENT
            - TABLE
        validation:
          $ref: '#/components/schemas/ApiFieldValidation'
        values:
          type: array
          description: The list of values for the field
          items:
            type: string
    ApiAttachment:
      type: object
      properties:
        autodeskUrn:
          $ref: '#/components/schemas/ApiAutodeskUrn'
        fileId:
          type: string
          description: The ID the file in Drive
        iconLink:
          type: string
          description: The URL of the icon of the file
        kind:
          type: string
        link:
          type: string
          description: The URL to the file in Drive (read-only)
        md5Checksum:
          type: string
          description: The MD5 checksum of the file content (null for native Google files)
        mimeType:
          type: string
          description: The MIME type of the file
        name:
          type: string
          description: The name (title) of the file
        permissionsOnDrive:
          type: array
          description: The list of permissions set in Drive for the file
          items:
            $ref: '#/components/schemas/ApiDrivePermission'
        publishedLink:
          type: string
          description: The URL of the file when published
        resourceKey:
          type: string
          description: >-
            A file that is shared with the link may only be discovered with this
            resourceKey
        revisionId:
          type: string
          description: The ID of the revision of the file in Drive
        size:
          type: integer
          format: int64
          description: The size (in octet) of the file
        storageLocation:
          type: string
          description: >-
            The storage location of the file. Possible values are 'DRIVE' and
            'OSS' (read-only)
          enum:
            - DRIVE
            - OSS
    ApiCategory:
      type: object
      properties:
        calculatedSettingsInfo:
          type: object
          description: >-
            Information about the result of evaluation of calculated settings
            (read-only)
          additionalProperties:
            $ref: '#/components/schemas/ApiCalculatedSettingsInfo'
        calculatedValueInfo:
          $ref: '#/components/schemas/ApiFieldValuesInfo'
        categoryDefinition:
          $ref: '#/components/schemas/ApiCategoryDefinition'
        categoryValueMapping:
          $ref: '#/components/schemas/ApiCategoryValueMappingRef'
        definitionId:
          type: string
          description: (Deprecated) The ID of the category
        definitionName:
          type: string
        description:
          type: string
          description: The description of the field (read-only)
        description_i18n:
          type: string
          description: The internationalized description of the field (read-only)
        dynamicValues:
          type: boolean
        editable:
          type: boolean
          description: Whether the field is editable by the current user
        fieldId:
          type: string
          description: The ID of the field
        fieldMetadata:
          type: object
          description: Additional metadata for AI extraction
          additionalProperties:
            type: string
        fieldName:
          type: string
          description: The name of the field
        fieldName_i18n:
          type: string
          description: The internationalized name of the field (read-only)
        folder:
          type: boolean
        hidden:
          type: boolean
          description: Whether the field is hidden to the user user
        kind:
          type: string
        levelNames:
          type: array
          items:
            type: string
        lookupConfiguration:
          $ref: '#/components/schemas/ApiLookupConfiguration'
        lookupValueInfo:
          $ref: '#/components/schemas/ApiLookupValuesInfo'
        mandatory:
          type: boolean
          description: Whether the field is mandatory
        mappingSourceField:
          $ref: '#/components/schemas/ApiFieldRef'
        multiple:
          type: boolean
          description: Whether there can be multiple values
        placeholderText:
          type: string
          description: The help text to display in the field input (read-only)
        rank:
          type: integer
          format: int32
          description: >-
            The rank at which the field is displayed in the document page
            (read-only)
        readOnly:
          type: boolean
          description: Whether the field is currently read-only
        type:
          type: string
          description: The field type (STRING, DATE, ..., CATEGORY, REFERENCE_CATALOG)
          enum:
            - STRING
            - TEXT
            - DATE
            - TIME
            - DATETIME
            - INTEGER
            - FILESIZE
            - DECIMAL
            - BOOLEAN
            - PERSON
            - CATEGORY
            - GEOPOINT
            - URL
            - REFERENCE_CATALOG
            - MIMETYPEGROUP
            - CLASS
            - FOLDER
            - STATE
            - OSS_ATTACHMENT
            - DRIVE_ATTACHMENT
            - TABLE
        validation:
          $ref: '#/components/schemas/ApiFieldValidation'
        values:
          type: array
          description: The list of category values
          items:
            type: array
            items:
              $ref: '#/components/schemas/ApiCategoryValue'
    ApiFolder:
      type: object
      properties:
        editable:
          type: boolean
          description: Whether the folder is editable by the current user (read-only field)
        editableDocuments:
          type: boolean
          description: >-
            Whether the documents in the folder are editable by the current user
            (read-only field)
        fileId:
          type: string
          description: The ID of the folder in Drive
        folderAodocsId:
          type: string
          description: The ID of the folder in AODocs model (0 if root folder)
        folderDefinitionId:
          type: string
          description: (Deprecated) The ID of the folder configuration
        folderIsRoot:
          type: boolean
          description: Whether the folder is the root folder (read-only field)
        kind:
          type: string
        libraryId:
          type: string
          description: The ID of the library
        libraryName:
          type: string
          description: The name of the library
        name:
          type: string
          description: The name of the folder
        parentFolderAodocsId:
          type: string
          description: The ID of the parent folder in AODocs model (0 if root folder)
        parentFolderDriveId:
          type: string
          description: The ID of the parent folder in Drive
        parentFolderIsRoot:
          type: boolean
          description: Whether the parent folder is the root folder (read-only field)
        permittedOperations:
          type: array
          description: >-
            The list of permitted operations to the current user (read-only
            field)
          items:
            type: string
            enum:
              - DELETE
              - RENAME
              - MODIFY_ACL
              - VIEW_ACL
              - MOVE_TO_ANOTHER_FOLDER
              - EXPORT
              - EDIT_PROPERTIES
              - COPY
              - CREATE_COPY_FROM
              - EXPORT_COPY
              - CREATE_NEW_VERSION
              - ATTACHMENT_VERSION_REPLACE
              - ATTACHMENT_VERSION_CREATE
              - ADD_NEW_ATTACHMENT_FROM_DRIVE
              - ATTACH_ENCRYPTED_FILE
              - OPEN_IN_OFFICE
              - PUBLISH
              - UNPUBLISH
              - RESTORE_REVISION
              - REVERT_TO_THIS_REVISION
              - CREATE_RELATED_DOCUMENT
              - DOWNLOAD
              - DOWNLOAD_ATTACHMENT
              - NOTIFY_USERS
              - CHECK_IN
              - CHECK_OUT
              - DISCARD_CHECKOUT
              - FORCE_DISCARD_CHECKOUT
              - EDIT_TAGS
              - PERFORM_HUMAN_WORKFLOW_ACTIONS
              - VIEW_DRAFT
              - SHARE_PUBLICLY
              - VIEW_HISTORY
              - VIEW_VERSIONS
              - ADD_COMMENT
              - SET_TEMPLATE_AS_DEFAULT
              - SET_TEMPLATE_VISIBILITY_SCOPE
              - DELETE_COMMENT
              - KNOW_DRAFT
              - FORCE_PARALLEL_TRANSITION
              - CHANGE_WORKFLOW_STATE_DIRECTLY
              - SEE_HIDDEN_FIELDS
              - VIEW_TRASHED_ITEM
              - UNTRASH
              - PERMANENTLY_DELETE
              - VIEW_DRIVEONLY_ACL
              - MODIFY_DRIVEONLY_ACL
              - NON_GOOGLE_USERS_SUPPORT
              - SUPPORTS_LIVE_EVALUATION
              - ALLOWLIST_NOT_ENFORCED
              - CREATE_SUBFOLDER
              - CREATE_DOCUMENT_IN_THIS_FOLDER
              - IMPORT_FOLDERS_FROM_DRIVE_TO_THIS_FOLDER
              - ADD_NEW_ATTACHMENT_FROM_OSS
              - OPEN_IN_DRIVE
              - COPY_FOLDER_TREE
              - CHECK_FOLDER
              - MOVE_TO_DRIVE
              - COPY_TO_DRIVE
              - MOVE_TO_ANOTHER_LIBRARY
              - MOVE_TO_ANOTHER_CLASS
              - COPY_TO_ANOTHER_CLASS
              - COPY_ATTACHMENT
              - COPY_TO_ANOTHER_LIBRARY
              - EDIT_ATTACHMENT
        resourceKey:
          type: string
          description: >-
            A folder that is shared with the link may only be discovered with
            this resourceKey
        restrictedDownload:
          type: boolean
          description: >-
            Whether the documents in the folder are marked as restricted to
            download, copy and print (for the readers)
        subfolders:
          type: array
          description: The list of subfolders
          items:
            $ref: '#/components/schemas/ApiFolder'
    ApiForbidReason:
      type: object
      properties:
        localizedMessage:
          type: string
        reason:
          type: string
          enum:
            - MANDATORY_CHECKOUT
            - PROTECTED_BY_CHECKOUT
            - MISSING_MANDATORY_FIELD
            - INCORRECT_FIELD_VALUES
            - CHECKED_OUT_IN_NORMAL_STATE
            - CONTAINS_ATTACHMENT
            - HAS_FOLDER
            - IS_DEFAULT_TEMPLATE
            - IS_HIDDEN
            - DOCUMENT_IS_DELETED
            - PERMISSION_NEEDED
            - CSE_ENCRYPTED_ATTACHMENT
            - THIRD_PARTY_SHORTCUT
            - DRIVEONLY_PERMISSIONS_NOT_SUPPORTED
    ApiReferenceCatalogField:
      type: object
      properties:
        calculatedSettingsInfo:
          type: object
          description: >-
            Information about the result of evaluation of calculated settings
            (read-only)
          additionalProperties:
            $ref: '#/components/schemas/ApiCalculatedSettingsInfo'
        calculatedValueInfo:
          $ref: '#/components/schemas/ApiFieldValuesInfo'
        description:
          type: string
          description: The description of the field (read-only)
        description_i18n:
          type: string
          description: The internationalized description of the field (read-only)
        editable:
          type: boolean
          description: Whether the field is editable by the current user
        fieldId:
          type: string
          description: The ID of the field
        fieldMetadata:
          type: object
          description: Additional metadata for AI extraction
          additionalProperties:
            type: string
        fieldName:
          type: string
          description: The name of the field
        fieldName_i18n:
          type: string
          description: The internationalized name of the field (read-only)
        hidden:
          type: boolean
          description: Whether the field is hidden to the user user
        kind:
          type: string
        lookupConfiguration:
          $ref: '#/components/schemas/ApiLookupConfiguration'
        lookupValueInfo:
          $ref: '#/components/schemas/ApiLookupValuesInfo'
        mandatory:
          type: boolean
          description: Whether the field is mandatory
        multiple:
          type: boolean
          description: Whether there can be multiple values
        placeholderText:
          type: string
          description: The help text to display in the field input (read-only)
        rank:
          type: integer
          format: int32
          description: >-
            The rank at which the field is displayed in the document page
            (read-only)
        readOnly:
          type: boolean
          description: Whether the field is currently read-only
        referenceCatalog:
          $ref: '#/components/schemas/ApiReferenceCatalog'
        referenceCatalogId:
          type: string
          description: The ID of the reference catalog
        type:
          type: string
          description: The field type (STRING, DATE, ..., CATEGORY, REFERENCE_CATALOG)
          enum:
            - STRING
            - TEXT
            - DATE
            - TIME
            - DATETIME
            - INTEGER
            - FILESIZE
            - DECIMAL
            - BOOLEAN
            - PERSON
            - CATEGORY
            - GEOPOINT
            - URL
            - REFERENCE_CATALOG
            - MIMETYPEGROUP
            - CLASS
            - FOLDER
            - STATE
            - OSS_ATTACHMENT
            - DRIVE_ATTACHMENT
            - TABLE
        validation:
          $ref: '#/components/schemas/ApiFieldValidation'
        values:
          type: array
          description: The list of reference catalog values
          items:
            $ref: '#/components/schemas/ApiReferenceCatalogFieldValue'
    ApiRelationSides:
      type: object
      properties:
        customFromTitles:
          type: array
          description: >-
            The corresponding custom title (if relation renderer enabled) for
            the related documents on FROM side (read-only field)
          items:
            $ref: '#/components/schemas/ApiCustomRelatedDocumentTitle'
        customToTitles:
          type: array
          description: >-
            The corresponding custom title (if relation renderer enabled) for
            the related documents on TO side (read-only field)
          items:
            $ref: '#/components/schemas/ApiCustomRelatedDocumentTitle'
        from:
          type: array
          description: The list of related documents on FROM side
          items:
            $ref: '#/components/schemas/ApiDocument'
        kind:
          type: string
        relationId:
          type: string
          description: The ID of the relation
        to:
          type: array
          description: The list of related documents on TO side
          items:
            $ref: '#/components/schemas/ApiDocument'
    ApiSimilarDocument:
      type: object
      properties:
        absoluteDuplicatesOnly:
          type: boolean
          description: Flag indicating that only exact duplicate documents are considered
        attachmentId:
          type: string
          description: Unique identifier of the attachment associated with the document
        attachmentLink:
          type: string
          description: Direct link to download or access the attachment
        attachmentMimeType:
          type: string
          description: MIME type of the attachment
        attachmentName:
          type: string
          description: Name of the attachment file
        documentId:
          type: string
          description: Unique identifier of the similar document
        documentLink:
          type: string
          description: Direct link to access the similar document
        documentTitle:
          type: string
          description: Title of the similar document
        libraryId:
          type: string
          description: >-
            Unique identifier of the library where the similar document is
            located
        locationInfo:
          type: string
          description: >-
            Information about where the similar content is located within the
            document
        locationType:
          type: string
          description: Type of location reference
        quotedText:
          type: string
          description: Extract of the text that was used to determine similarity
        similarityScore:
          type: number
          format: double
          description: Similarity score between the documents
    ApiSystemField:
      type: object
      properties:
        calculatedValueInfo:
          $ref: '#/components/schemas/ApiFieldValuesInfo'
        displayName:
          type: string
          description: The internationalized name of the field
        editable:
          type: boolean
          description: Whether the field is editable by the current user
        hidden:
          type: boolean
          description: Whether the field is hidden to the current user
        id:
          type: string
          description: The ID of the system field
        kind:
          type: string
        mandatory:
          type: boolean
          description: Whether the field is mandatory
        readOnly:
          type: boolean
          description: Whether the field is currently read-only
        value:
          type: string
          description: The value of the field
    ApiTableField:
      type: object
      properties:
        calculatedSettingsInfo:
          type: object
          description: >-
            Information about the result of evaluation of calculated settings
            (read-only)
          additionalProperties:
            $ref: '#/components/schemas/ApiCalculatedSettingsInfo'
        calculatedValueInfo:
          $ref: '#/components/schemas/ApiFieldValuesInfo'
        columns:
          type: array
          description: The columns definition of the table (read-only)
          items:
            $ref: '#/components/schemas/ApiTableColumn'
        description:
          type: string
          description: The description of the field (read-only)
        description_i18n:
          type: string
          description: The internationalized description of the field (read-only)
        editable:
          type: boolean
          description: Whether the field is editable by the current user
        fieldId:
          type: string
          description: The ID of the field
        fieldMetadata:
          type: object
          description: Additional metadata for AI extraction
          additionalProperties:
            type: string
        fieldName:
          type: string
          description: The name of the field
        fieldName_i18n:
          type: string
          description: The internationalized name of the field (read-only)
        hidden:
          type: boolean
          description: Whether the field is hidden to the user user
        kind:
          type: string
        lookupConfiguration:
          $ref: '#/components/schemas/ApiLookupConfiguration'
        lookupValueInfo:
          $ref: '#/components/schemas/ApiLookupValuesInfo'
        mandatory:
          type: boolean
          description: Whether the field is mandatory
        multiple:
          type: boolean
          description: Whether there can be multiple values
        placeholderText:
          type: string
          description: The help text to display in the field input (read-only)
        rank:
          type: integer
          format: int32
          description: >-
            The rank at which the field is displayed in the document page
            (read-only)
        readOnly:
          type: boolean
          description: Whether the field is currently read-only
        type:
          type: string
          description: The field type (STRING, DATE, ..., CATEGORY, REFERENCE_CATALOG)
          enum:
            - STRING
            - TEXT
            - DATE
            - TIME
            - DATETIME
            - INTEGER
            - FILESIZE
            - DECIMAL
            - BOOLEAN
            - PERSON
            - CATEGORY
            - GEOPOINT
            - URL
            - REFERENCE_CATALOG
            - MIMETYPEGROUP
            - CLASS
            - FOLDER
            - STATE
            - OSS_ATTACHMENT
            - DRIVE_ATTACHMENT
            - TABLE
        validation:
          $ref: '#/components/schemas/ApiFieldValidation'
        values:
          type: array
          description: The values (organized as rows) contained in the table
          items:
            $ref: '#/components/schemas/ApiTableRow'
    ApiBaseUserProfile:
      type: object
      properties:
        email:
          type: string
          description: The email of the user
        kind:
          type: string
        name:
          type: string
          description: The displayed name of the user
        nonGoogle:
          type: boolean
          description: This user is not a google user
        thumbnailPictureUrl:
          type: string
          description: The URL of the thumbnail picture of the user
    ApiDocumentViewConfiguration:
      type: object
      properties:
        defaultTabToDisplay:
          type: string
          description: The tab to display when open the document
          enum:
            - PROPERTIES
            - FIRST_ATTACHMENT
        kind:
          type: string
        orientation:
          type: string
          description: The orientation to display the document (PORTRAIT or LANDSCAPE)
          enum:
            - PORTRAIT
            - LANDSCAPE
        visibleRelations:
          type: array
          description: The list of ordered relations to display in the Relations section
          items:
            type: string
        visibleSections:
          type: array
          description: The list of ordered sections to display
          items:
            type: string
            enum:
              - INFO
              - WORKFLOW
              - PROPERTIES
              - ATTACHMENTS
              - RELATIONS
              - DESCRIPTION
    ApiLookupSourceConfiguration:
      type: object
      properties:
        displaySearchProperties:
          type: array
          description: >-
            List of field IDs from the referenced class to be displayed in
            lookup search results. Valid values are custom field IDs or '_title'
            for the system title field.
          items:
            type: string
        scope:
          $ref: '#/components/schemas/ApiLookupSourceScope'
        synchronizationRule:
          type: string
          description: >-
            Synchronization rule for the lookup source. Supported values: NEVER,
            ALWAYS
          enum:
            - NEVER
            - ALWAYS
        type:
          type: string
          description: 'Type of the lookup source configuration. Supported types: DOCUMENT'
          enum:
            - DOCUMENT
    ApiLookupTargetConfiguration:
      type: object
      properties:
        lookupKey:
          type: string
          description: >-
            Key of the lookup target configuration. Used to get the value from
            the referenced resource (e.g.: existing fieldId of the class defined
            in the source lookup
        sourceFieldId:
          type: string
          description: Identifier of the lookup source field
        sourceFieldName:
          type: string
          description: >-
            Name of the lookup source field. Can be used to refer the field by
            name when ID is not allocated yet (e.g.: along with source field
            creation)
    ApiCalculatedSettingsInfo:
      type: object
      properties:
        error:
          type: boolean
          description: >-
            Indicates whether the evaluation of the setting terminated on error
            (read-only)
        errorMessage:
          type: string
          description: >-
            If the evaluation terminated on error, indicates the error message
            (read-only)
    ApiFieldValuesInfo:
      type: object
      properties:
        error:
          type: boolean
          description: >-
            If the field has no value, indicates whether this is due to an
            evaluation error (read-only)
    ApiLookupValuesInfo:
      type: object
      properties:
        displayName:
          type: string
          description: Display name of the source document
        error:
          type: boolean
          description: >-
            Indicates if there was an error during the evaluation of the lookup
            field values
        errorMessage:
          type: string
          description: >-
            Error message if any error occurred during the evaluation of the
            lookup field values
    ApiFieldMetadata:
      type: object
      properties:
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/ApiAttachmentMetadata'
        kind:
          type: string
    ApiAutodeskUrn:
      type: object
      properties:
        status:
          type: string
          enum:
            - READY
            - IN_PROGRESS
            - FAILED
        urn:
          type: string
    ApiDrivePermission:
      type: object
      properties:
        additionalRoles:
          type: array
          description: The additional roles for the permission like COMMENTER
          items:
            type: string
        allowlisted:
          type: boolean
          description: >-
            Whether the email address is allowlisted (individually or via its
            domain) in the current domain
        belongsToDomain:
          type: boolean
          description: Whether the email address is part of the current domain
        email:
          type: string
          description: The email of the permission or the domain name if type = DOMAIN
        googleEmailAddress:
          type: boolean
          description: Whether the email address is tied to a Google account
        kind:
          type: string
        name:
          type: string
          description: The displayed name for the permission
        permissionId:
          type: string
          description: The unique ID for the permission in Drive
        role:
          type: string
          description: 'The role of the permission: READER, WRITER, OWNER'
        thumbnailPhotoUrl:
          type: string
          description: The URL of the thumbnail picture of the permitted user or group
        type:
          type: string
          description: 'The type of permission in Drive: ANYONE, DOMAIN, GROUP, USER'
        withLink:
          type: boolean
          description: >-
            Whether the permission imposes to have the link to access (vs. can
            be searched for)
    ApiCategoryValue:
      type: object
      properties:
        ancestors:
          type: array
          description: >-
            Ancestor category values from direct parent to root - only present
            with loadCategoryValue
          items:
            $ref: '#/components/schemas/ApiCategoryValue'
        id:
          type: string
          description: The ID of the category value
        kind:
          type: string
        leaf:
          type: boolean
          description: Whether the category value is leaf
        leafInNotOutdatedTree:
          type: boolean
          description: Whether the category value is leaf without not outdated child
        name:
          type: string
          description: The name of the category value
        name_i18n:
          type: string
          description: The internationalized name of the category value (read-only field)
        outdated:
          type: boolean
          description: Whether the category value is marked as outdated
        parentId:
          type: string
          description: The ID of the parent category value (read-only field)
        shortName:
          type: string
          description: The short name of the category value
        value:
          type: string
          description: (Deprecated) The ID of the category value
    ApiReferenceCatalogFieldValue:
      type: object
      properties:
        deleted:
          type: boolean
        kind:
          type: string
        leaf:
          type: boolean
        name:
          type: string
          description: The name
        name_i18n:
          type: string
          description: The internationalized name
        parents:
          type: array
          items:
            $ref: '#/components/schemas/ApiReferenceCatalogFieldValue'
        value:
          type: string
          description: The value
    ApiCustomRelatedDocumentTitle:
      type: object
      properties:
        customHtmlTitle:
          type: string
        id:
          type: string
        kind:
          type: string
    ApiDocument:
      type: object
      properties:
        acl:
          type: array
          items:
            $ref: '#/components/schemas/ApiAclEntry'
        attachmentFields:
          type: array
          items:
            $ref: '#/components/schemas/ApiField'
        attachments:
          type: array
          description: The list of attachments
          items:
            $ref: '#/components/schemas/ApiAttachment'
        attachmentsToCopy:
          type: array
          description: The list of attachments to copy (for create/patch)
          items:
            $ref: '#/components/schemas/ApiAttachment'
        categories:
          type: array
          description: The list of category fields (only the values are editable)
          items:
            $ref: '#/components/schemas/ApiCategory'
        checkOutBy:
          type: string
          description: The email of the user who checked-out the document (read-only field)
        checkoutDate:
          type: string
          description: The time at which the document was checked-out (read-only field)
        classId:
          type: string
          description: The ID of the class of the document (read-only field)
        className:
          type: string
          description: The name of the class of the document (read-only field)
        className_i18n:
          type: string
          description: >-
            The internationalized name of the class of the document (read-only
            field)
        coordinate:
          type: string
          description: >-
            The coordinate of the sequence for the document
            (<librarySequenceId>.<documentClassSequenceId>.<documentSequenceId>[.<versionSequenceId>])
            (read-only field)
        creationDate:
          type: string
          description: The time at which the document was created (read-only field)
        deleteAuthor:
          type: string
          description: The email of the user who deleted the document (read-only field)
        deleted:
          type: boolean
          description: Whether the document is deleted (read-only field)
        deletedReason:
          type: string
          description: The reason for deleting the document (read-only field)
        deletionDate:
          type: string
          description: The time at which the document was deleted (read-only field)
        domainName:
          type: string
          description: The name of the domain (read-only field)
        driveOnlyPermissions:
          type: array
          description: >-
            The list of additional permissions configured in Secured Folder
            libraries
          items:
            $ref: '#/components/schemas/ApiDrivePermission'
        editable:
          type: boolean
          description: Whether the current user can edit the document (read-only field)
        evaluationError:
          type: boolean
          description: >-
            Whether there is an evaluation error on at least one field of the
            document (read-only field)
        externalSource:
          $ref: '#/components/schemas/ApiExternalSource'
        fields:
          type: array
          description: The list of native fields (values and metadata are editable)
          items:
            $ref: '#/components/schemas/ApiField'
        folders:
          type: array
          description: The location of the document (folder path as list of folders)
          items:
            $ref: '#/components/schemas/ApiFolder'
        forbiddenOperations:
          type: object
          description: >-
            The map of the forbidden operations to the current user and the
            reasons why they are forbidden (read-only field)
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/ApiForbidReason'
        fullSizeOfAttachments:
          type: integer
          format: int64
          description: The summed size (in octet) of the attachments (read-only field)
        iconLink:
          type: string
          description: The link to the icon relative to the attachment (read-only field)
        id:
          type: string
          description: The ID of the document (read-only field)
        incomplete:
          type: boolean
          description: >-
            Whether there are missing mandatory fields on the document
            (read-only field)
        initialAuthor:
          type: string
          description: The email of the user who created the document (read-only field)
        invalidValues:
          type: boolean
          description: >-
            Whether there are invalid values for fields of the document
            (read-only field)
        kind:
          type: string
        libraryId:
          type: string
          description: The ID of the library (read-only field)
        libraryName:
          type: string
          description: The name of the library (read-only field)
        modificationDate:
          type: string
          description: >-
            The time at which the document was last modified (read-only field
            after document creation)
        newPermissions:
          type: array
          description: The new permissions to apply
          items:
            $ref: '#/components/schemas/ApiDrivePermission'
        nextVersionName:
          type: string
          description: The next version name (read-only field)
        numberOfAttachments:
          type: integer
          format: int32
          description: The number of attachments in the document (read-only field)
        onlyAdminCanChangeAcl:
          type: boolean
          description: >-
            Whether only administrators can modify the permissions of the
            document
        onlyAdminCanDelete:
          type: boolean
          description: Whether only administrators can be delete the document
        originalVersionId:
          type: string
          description: >-
            Id of the original version if this version was created by restoring
            a previous version, otherwise null
        permissions:
          type: array
          description: The list of permissions relative to the document
          items:
            $ref: '#/components/schemas/ApiPermission'
        permittedOperations:
          type: array
          description: >-
            The list of permitted operations to the current user (read-only
            field)
          items:
            type: string
            enum:
              - DELETE
              - RENAME
              - MODIFY_ACL
              - VIEW_ACL
              - MOVE_TO_ANOTHER_FOLDER
              - EXPORT
              - EDIT_PROPERTIES
              - COPY
              - CREATE_COPY_FROM
              - EXPORT_COPY
              - CREATE_NEW_VERSION
              - ATTACHMENT_VERSION_REPLACE
              - ATTACHMENT_VERSION_CREATE
              - ADD_NEW_ATTACHMENT_FROM_DRIVE
              - ATTACH_ENCRYPTED_FILE
              - OPEN_IN_OFFICE
              - PUBLISH
              - UNPUBLISH
              - RESTORE_REVISION
              - REVERT_TO_THIS_REVISION
              - CREATE_RELATED_DOCUMENT
              - DOWNLOAD
              - DOWNLOAD_ATTACHMENT
              - NOTIFY_USERS
              - CHECK_IN
              - CHECK_OUT
              - DISCARD_CHECKOUT
              - FORCE_DISCARD_CHECKOUT
              - EDIT_TAGS
              - PERFORM_HUMAN_WORKFLOW_ACTIONS
              - VIEW_DRAFT
              - SHARE_PUBLICLY
              - VIEW_HISTORY
              - VIEW_VERSIONS
              - ADD_COMMENT
              - SET_TEMPLATE_AS_DEFAULT
              - SET_TEMPLATE_VISIBILITY_SCOPE
              - DELETE_COMMENT
              - KNOW_DRAFT
              - FORCE_PARALLEL_TRANSITION
              - CHANGE_WORKFLOW_STATE_DIRECTLY
              - SEE_HIDDEN_FIELDS
              - VIEW_TRASHED_ITEM
              - UNTRASH
              - PERMANENTLY_DELETE
              - VIEW_DRIVEONLY_ACL
              - MODIFY_DRIVEONLY_ACL
              - NON_GOOGLE_USERS_SUPPORT
              - SUPPORTS_LIVE_EVALUATION
              - ALLOWLIST_NOT_ENFORCED
              - CREATE_SUBFOLDER
              - CREATE_DOCUMENT_IN_THIS_FOLDER
              - IMPORT_FOLDERS_FROM_DRIVE_TO_THIS_FOLDER
              - ADD_NEW_ATTACHMENT_FROM_OSS
              - OPEN_IN_DRIVE
              - COPY_FOLDER_TREE
              - CHECK_FOLDER
              - MOVE_TO_DRIVE
              - COPY_TO_DRIVE
              - MOVE_TO_ANOTHER_LIBRARY
              - MOVE_TO_ANOTHER_CLASS
              - COPY_TO_ANOTHER_CLASS
              - COPY_ATTACHMENT
              - COPY_TO_ANOTHER_LIBRARY
              - EDIT_ATTACHMENT
        publishedLink:
          type: string
          description: The link of the publication for mono-attachment documents
        publishedMode:
          type: string
          description: >-
            The publication mode (NONE, DOMAIN, EVERYONE) for mono-attachment
            documents
          enum:
            - NONE
            - DOMAIN
            - EVERYONE
        referenceCatalogs:
          type: array
          description: The list of reference catalog fields (only the values are editable)
          items:
            $ref: '#/components/schemas/ApiReferenceCatalogField'
        relatedDocuments:
          type: object
          description: The map of related documents per relation
          additionalProperties:
            $ref: '#/components/schemas/ApiRelationSides'
        restrictedDownload:
          type: boolean
          description: >-
            Whether the flag controlling whether reader users can download, copy
            or print the document is enabled.
        richText:
          type: string
          description: The description of the document
        sections:
          type: array
          description: The sections in which fields are organized (read-only field)
          items:
            $ref: '#/components/schemas/ApiFieldSection'
        sequenceId:
          type: integer
          format: int64
          description: The sequence ID of the document (read-only field)
        setModifiedDate:
          type: boolean
          description: Whether to set the date of last modification
        similarDocuments:
          type: array
          description: >-
            Represents a document identified as similar/duplicate with its
            associated metadata and similarity information
          items:
            $ref: '#/components/schemas/ApiSimilarDocument'
        state:
          type: string
          description: The name of the workflow state (read-only field)
        stateChangeAuthors:
          type: array
          description: >-
            The person(s) who were involved in the last workflow state change
            (read-only field)
          items:
            $ref: '#/components/schemas/ApiSecurityToken'
        stateChangeDate:
          type: string
          format: date-time
          description: >-
            The date at which the document last changed of workflow state
            (read-only field)
        stateId:
          type: string
          description: The ID of the workflow state
        state_i18n:
          type: string
          description: The internationalized name of the workflow state (read-only field)
        systemFields:
          type: array
          description: The list of system fields (only the values are editable)
          items:
            $ref: '#/components/schemas/ApiSystemField'
        tableFields:
          type: array
          description: The list of table fields (only the values are editable)
          items:
            $ref: '#/components/schemas/ApiTableField'
        templateDocumentId:
          type: string
        title:
          type: string
          description: The title of the document
        updateAuthor:
          type: string
          description: >-
            The email of the user who last modified the document (read-only
            field)
        userCanChangeAcl:
          type: boolean
          description: >-
            Whether the current user can modify the permissions (read-only
            field)
        userCanChangeProperties:
          type: boolean
          description: Whether the current user can modify the properties (read-only field)
        userCanDelete:
          type: boolean
          description: Whether the current user can delete the document (read-only field)
        userMapping:
          type: object
          description: The mapping between user email and user profile (read-only field)
          additionalProperties:
            $ref: '#/components/schemas/ApiBaseUserProfile'
        versionCreated:
          type: string
          format: date-time
          description: The time at which the version was created (read-only field)
        versionCreator:
          type: string
          description: The email of the user who created the version (read-only field)
        versionDescription:
          type: string
          description: The description of the current version of the document
        versionId:
          type: string
          description: The ID of the version (read-only field)
        versionLabel:
          type: string
          description: >-
            (Deprecated) The description of the version (replaced by
            versionDescription)
        versionName:
          type: string
          description: The name of the current version of the document
        versionNumber:
          type: string
          description: (Deprecated) The number of the version (replaced by versionName)
        viewConfiguration:
          $ref: '#/components/schemas/ApiDocumentViewConfiguration'
        workflowId:
          type: string
          description: >-
            The ID of the workflow related to the class of the document
            (read-only field)
    ApiTableColumn:
      type: object
      properties:
        calculatedSettingsInfo:
          type: object
          description: >-
            Information about the result of evaluation of calculated settings
            (read-only)
          additionalProperties:
            $ref: '#/components/schemas/ApiCalculatedSettingsInfo'
        calculatedValueInfo:
          $ref: '#/components/schemas/ApiFieldValuesInfo'
        categoryDefinition:
          $ref: '#/components/schemas/ApiCategoryDefinition'
        description:
          type: string
          description: The description of the field (read-only)
        description_i18n:
          type: string
          description: The internationalized description of the field (read-only)
        editable:
          type: boolean
          description: Whether the field is editable by the current user
        fieldId:
          type: string
          description: The ID of the field
        fieldMetadata:
          type: object
          description: Additional metadata for AI extraction
          additionalProperties:
            type: string
        fieldName:
          type: string
          description: The name of the field
        fieldName_i18n:
          type: string
          description: The internationalized name of the field (read-only)
        hidden:
          type: boolean
          description: Whether the field is hidden to the user user
        kind:
          type: string
        lookupConfiguration:
          $ref: '#/components/schemas/ApiLookupConfiguration'
        lookupValueInfo:
          $ref: '#/components/schemas/ApiLookupValuesInfo'
        mandatory:
          type: boolean
          description: Whether the field is mandatory
        multiple:
          type: boolean
          description: Whether there can be multiple values
        placeholderText:
          type: string
          description: The help text to display in the field input (read-only)
        rank:
          type: integer
          format: int32
          description: >-
            The rank at which the field is displayed in the document page
            (read-only)
        readOnly:
          type: boolean
          description: Whether the field is currently read-only
        referenceCatalogDefinition:
          $ref: '#/components/schemas/ApiReferenceCatalog'
        type:
          type: string
          description: The field type (STRING, DATE, ..., CATEGORY, REFERENCE_CATALOG)
          enum:
            - STRING
            - TEXT
            - DATE
            - TIME
            - DATETIME
            - INTEGER
            - FILESIZE
            - DECIMAL
            - BOOLEAN
            - PERSON
            - CATEGORY
            - GEOPOINT
            - URL
            - REFERENCE_CATALOG
            - MIMETYPEGROUP
            - CLASS
            - FOLDER
            - STATE
            - OSS_ATTACHMENT
            - DRIVE_ATTACHMENT
            - TABLE
        validation:
          $ref: '#/components/schemas/ApiFieldValidation'
    ApiTableRow:
      type: object
      properties:
        categories:
          type: object
          description: Cells of type category
          additionalProperties:
            type: array
            items:
              type: array
              items:
                $ref: '#/components/schemas/ApiCategoryValue'
        fields:
          type: object
          description: Cells of static type
          additionalProperties:
            type: array
            items:
              type: string
        referenceCatalogs:
          type: object
          description: Cells of type reference catalog
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/ApiReferenceCatalogFieldValue'
        rowId:
          type: string
          description: Unique id of the current row
    ApiLookupSourceScope:
      type: object
      properties:
        id:
          type: string
          description: >-
            Identifier of the lookup source scope configuration (e.g.: document
            class ID when the type is CLASS
        type:
          type: string
          description: >-
            Type of the lookup source scope configuration. Supported types:
            CLASS
          enum:
            - CLASS
    ApiAttachmentMetadata:
      type: object
      properties:
        drive:
          $ref: '#/components/schemas/ApiDriveAttachmentMetadata'
        id:
          type: string
          description: The ID the file as used on the storage type
        kind:
          type: string
        mimeType:
          type: string
          description: The MIME type of the file
        name:
          type: string
          description: The name (title) of the file
        oss:
          $ref: '#/components/schemas/ApiOssAttachmentMetadata'
        size:
          type: integer
          format: int64
          description: The size (in octet) of the file
        storageType:
          type: string
          description: >-
            Where is the file stored? Either DRIVE (Google Drive), or OSS
            (AODocs Object Storage System)
          enum:
            - OSS
            - DRIVE
    ApiAclEntry:
      type: object
      properties:
        allow:
          type: array
          items:
            type: string
        for:
          type: array
          items:
            type: string
        kind:
          type: string
    ApiExternalSource:
      type: object
      properties:
        displayName:
          type: string
          description: The text displayed for the external source link.
        url:
          type: string
          description: >-
            The URL of the external source. Must be non-null and non-empty when
            clear is false.
    ApiPermission:
      type: object
      properties:
        fieldNames:
          type: array
          items:
            type: string
        inherited:
          type: boolean
        kind:
          type: string
        name:
          type: string
        right:
          type: string
          enum:
            - NONE
            - READER
            - COMMENTER
            - PROPERTY_EDITOR
            - ATTACHMENT_EDITOR
            - WRITER
            - ADMIN
            - SUPER_ADMIN
        roleNames:
          type: array
          items:
            type: string
        thumbnailPhotoUrl:
          type: string
        type:
          type: string
          enum:
            - USER
            - GROUP
            - DOMAIN
        value:
          type: string
    ApiDriveAttachmentMetadata:
      type: object
      properties:
        iconLink:
          type: string
          description: The URL of the icon of the file
        kind:
          type: string
        link:
          type: string
          description: The URL to the file in Drive
        permissionsOnDrive:
          type: array
          description: The list of permissions set in Drive for the file
          items:
            $ref: '#/components/schemas/ApiDrivePermission'
        publishedLink:
          type: string
          description: The URL of the file when published
        resourceKey:
          type: string
          description: >-
            A file that is shared with the link may only be discovered with this
            resourceKey
        revisionId:
          type: string
          description: The ID of the revision of the file in Drive
    ApiOssAttachmentMetadata:
      type: object
      properties:
        downloadLink:
          type: string
          description: The URL to download the OSS file
        kind:
          type: string
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````